/********************************** <lalVerbatim file="ExcessPowerHV">
Author: Flanagan, E
$Id: BurstUtils.h,v 1.3 2007/02/18 22:33:44 kipp Exp $
**************************************************** </lalVerbatim> */

#ifndef _EPSEARCH_H
#define _EPSEARCH_H

#include <lal/LALDatatypes.h>
#include <lal/LALRCSID.h>
#include <lal/LIGOMetadataTables.h>
#include <lal/ResampleTimeSeries.h>
#include <lal/TimeFreqFFT.h>
#include <lal/Window.h>
#include <lal/LALInspiral.h>

#ifdef  __cplusplus   /* C++ protection. */
extern "C" {
#endif

NRCSID(EPSEARCHH, "$Id: BurstUtils.h,v 1.3 2007/02/18 22:33:44 kipp Exp $");

typedef struct
tagMergerDurationLimits {
	REAL4      high;
	REAL4      low;
} MergerDurationLimits;


REAL4
XLALMergerFrequency( 
    InspiralTemplate *params  
    );

REAL4
XLALQnrFrequency( 
    InspiralTemplate *params  
    );

REAL4
XLALMergerEnergyFraction(
	InspiralTemplate *params
	);

void 
XLALMergerDuration(
	InspiralTemplate *params,
	MergerDurationLimits *dur
	);

#ifdef  __cplusplus
}
#endif  /* C++ protection. */

#endif
